/**
 * @file
 * @brief   This file contains the Maxim logo for display on the
 *          CLCD for the demo.
 */

/* ****************************************************************************
 * Copyright (C) 2016 Maxim Integrated Products, Inc., All Rights Reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL MAXIM INTEGRATED BE LIABLE FOR ANY CLAIM, DAMAGES
 * OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 *
 * Except as contained in this notice, the name of Maxim Integrated
 * Products, Inc. shall not be used except as stated in the Maxim Integrated
 * Products, Inc. Branding Policy.
 *
 * The mere transfer of this software does not imply any licenses
 * of trade secrets, proprietary technology, copyrights, patents,
 * trademarks, maskwork rights, or any other form of intellectual
 * property whatsoever. Maxim Integrated Products, Inc. retains all
 * ownership rights.
 *
 * $Date: $
 * $Revision: $
 *
 *************************************************************************** */


/* Define to prevent redundant inclusion */
#ifndef _MAXIM_BITMAP_IMAGE_H_
#define _MAXIM_BITMAP_IMAGE_H_

/** Number of bits per pixel for the logo image */
#define LOGO_BPP    8

/** Pixel width of the logo image. */
#define LOGO_W      280

/** Pixel height of the logo image. */
#define LOGO_H      81

/** Color palette for the image. */
uint32_t palette[] =
{
        0x6F6D69, 0x76746F, 0xA2A700, 0x8A8984,
        0x9C9B97, 0xCED17A, 0xC3C3BE, 0xE8E9BF,
        0xE2E4E1, 0xFDFFFC, 0xFFFFFF
};

/** The Maxim logo for display on the CLCD */
unsigned char image[] =
{
        9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,8,7,5,5,5,5,5,5,5,5,5,5,
            5,7,7,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,7,5,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,5,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,7,5,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,5,7,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,5,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,7,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,5,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,5,7,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,6,6,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,5,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,5,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,3,1,1,3,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,8,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            7,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,8,1,1,1,1,8,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,5,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,5,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,1,1,1,1,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,5,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,8,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,8,3,3,8,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,7,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,7,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,7,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,7,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,4,4,6,9,9,9,8,4,1,1,1,4,8,
            9,9,9,9,9,6,3,1,1,3,6,9,9,9,9,9,
            9,9,9,9,9,6,4,1,1,1,1,3,6,9,9,9,
            9,9,9,4,4,4,6,9,9,9,9,9,9,9,9,6,
            4,4,6,9,9,9,6,4,4,6,9,9,9,9,9,6,
            4,6,9,9,9,8,4,1,1,1,4,8,9,9,9,9,
            9,6,1,1,1,3,8,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,8,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,0,0,0,9,8,4,0,0,1,1,1,1,0,
            6,9,9,6,1,0,1,1,1,1,0,4,9,9,9,9,
            9,9,6,3,0,0,1,1,1,1,1,1,0,1,6,9,
            9,9,9,6,0,0,0,6,9,9,9,9,9,9,6,0,
            0,1,8,9,9,9,3,0,0,3,9,9,9,9,8,1,
            0,3,9,8,4,0,0,1,1,1,0,0,6,9,9,6,
            1,0,1,1,1,1,0,4,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,5,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,0,1,1,6,1,1,1,0,0,0,1,1,1,
            0,8,3,1,1,1,0,0,1,1,1,0,6,9,9,9,
            9,9,4,1,1,1,0,0,0,0,0,1,1,1,1,8,
            9,9,9,9,4,1,1,1,8,9,9,9,9,8,0,1,
            1,6,9,9,9,9,3,1,1,3,9,9,9,9,8,3,
            1,1,8,1,1,1,0,0,0,1,1,1,1,8,3,1,
            1,1,0,0,1,1,1,0,8,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,7,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,5,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,0,1,1,0,1,1,4,6,8,8,4,1,1,
            1,0,1,1,3,6,8,8,4,1,1,1,3,9,9,9,
            9,9,6,0,3,4,8,8,9,9,8,4,0,1,1,4,
            9,9,9,9,9,1,1,1,4,9,9,9,9,3,1,1,
            3,9,9,9,9,9,3,1,1,3,9,9,9,9,8,3,
            1,1,0,1,1,4,6,8,8,3,1,1,1,0,1,0,
            4,6,8,8,4,1,1,1,4,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,7,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,0,1,1,1,1,8,9,9,9,9,9,1,1,
            1,1,0,6,9,9,9,9,9,3,1,1,1,9,9,9,
            9,9,8,8,9,9,9,9,9,9,9,9,4,1,1,3,
            9,9,9,9,9,8,1,1,0,6,9,9,6,1,1,1,
            9,9,9,9,9,9,3,1,1,3,9,9,9,9,8,3,
            1,1,1,3,8,9,9,9,9,9,1,1,1,1,1,6,
            9,9,9,9,9,4,1,1,1,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,5,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,0,1,1,3,9,9,9,9,9,9,9,3,1,
            1,1,8,9,9,9,9,9,9,6,0,1,1,8,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,6,0,1,3,
            9,9,9,9,9,9,4,1,1,0,8,8,0,1,1,6,
            9,9,9,9,9,9,3,1,1,3,9,9,9,9,8,3,
            1,1,3,9,9,9,9,9,9,9,4,1,1,1,6,9,
            9,9,9,9,9,6,1,1,0,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,7,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,5,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,0,1,1,6,9,9,9,9,9,9,9,4,1,
            1,3,9,9,9,9,9,9,9,6,0,1,1,8,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,6,0,1,1,
            9,9,9,9,9,9,9,3,1,1,3,1,1,1,4,9,
            9,9,9,9,9,9,3,1,1,3,9,9,9,9,8,3,
            1,0,6,9,9,9,9,9,9,9,4,1,0,4,9,9,
            9,9,9,9,9,6,1,1,0,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,2,2,2,2,2,
            2,2,2,2,2,2,2,5,5,5,5,5,5,5,5,5,
            5,5,5,5,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,5,5,5,5,5,5,5,5,5,5,5,5,5,
            2,2,2,2,2,2,2,2,2,2,2,2,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,0,1,1,6,9,9,9,9,9,9,9,4,1,
            1,3,9,9,9,9,9,9,9,6,0,1,1,8,9,9,
            9,9,9,9,9,9,9,8,6,4,1,0,0,1,1,1,
            9,9,9,9,9,9,9,8,1,1,1,1,1,1,9,9,
            9,9,9,9,9,9,3,1,1,3,9,9,9,9,8,3,
            1,0,6,9,9,9,9,9,9,9,4,1,0,4,9,9,
            9,9,9,9,9,6,1,1,0,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,5,2,2,2,2,2,
            2,2,2,2,2,2,8,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,5,2,2,2,2,2,2,2,2,2,2,
            2,2,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,5,2,2,2,2,2,2,2,2,2,2,5,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,0,1,1,6,9,9,9,9,9,9,9,4,1,
            1,3,9,9,9,9,9,9,9,6,0,1,1,8,9,9,
            9,9,9,9,6,4,1,0,0,1,1,0,0,1,1,1,
            9,9,9,9,9,9,9,9,6,1,1,1,1,8,9,9,
            9,9,9,9,9,9,3,1,1,3,9,9,9,9,8,3,
            1,0,6,9,9,9,9,9,9,9,4,1,0,4,9,9,
            9,9,9,9,9,6,1,1,0,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,2,2,2,2,2,2,
            2,2,2,2,2,7,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,2,2,2,2,2,2,2,2,2,2,
            2,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,2,2,2,2,2,2,2,2,2,2,2,7,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,0,1,1,6,9,9,9,9,9,9,9,4,1,
            1,3,9,9,9,9,9,9,9,6,0,1,1,8,9,9,
            9,9,9,4,0,1,1,1,1,1,3,4,4,1,1,1,
            9,9,9,9,9,9,9,9,8,1,1,1,3,9,9,9,
            9,9,9,9,9,9,3,1,1,3,9,9,9,9,8,3,
            1,0,6,9,9,9,9,9,9,9,4,1,0,4,9,9,
            9,9,9,9,9,6,1,1,0,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,7,2,2,2,2,2,2,
            2,2,2,2,2,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,8,2,2,2,2,2,2,2,2,2,
            5,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,5,2,2,2,2,2,2,2,2,2,2,5,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,0,1,1,6,9,9,9,9,9,9,9,4,1,
            1,3,9,9,9,9,9,9,9,6,0,1,1,8,9,9,
            9,9,3,0,1,0,3,6,8,9,9,9,8,0,1,1,
            9,9,9,9,9,9,9,9,4,1,1,1,0,4,9,9,
            9,9,9,9,9,9,3,1,1,3,9,9,9,9,8,3,
            1,0,6,9,9,9,9,9,9,9,4,1,0,4,9,9,
            9,9,9,9,9,6,1,1,0,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,5,2,2,2,2,2,2,
            2,2,2,2,2,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,5,2,2,2,2,2,2,2,2,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,5,2,2,2,2,2,2,2,2,2,2,2,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,0,1,1,6,9,9,9,9,9,9,9,4,1,
            1,3,9,9,9,9,9,9,9,6,0,1,1,8,9,9,
            9,6,1,1,0,6,9,9,9,9,9,9,8,0,1,1,
            9,9,9,9,9,9,9,6,0,1,1,1,1,0,6,9,
            9,9,9,9,9,9,3,1,1,3,9,9,9,9,8,3,
            1,0,6,9,9,9,9,9,9,9,4,1,0,4,9,9,
            9,9,9,9,9,6,1,1,0,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,2,2,2,2,2,2,2,
            2,2,2,2,2,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,8,2,2,2,2,2,2,2,5,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,5,2,2,2,2,2,2,2,2,2,2,2,7,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,0,1,1,6,9,9,9,9,9,9,9,4,1,
            1,3,9,9,9,9,9,9,9,6,0,1,1,8,9,9,
            9,4,1,1,4,9,9,9,9,9,9,9,8,0,1,1,
            9,9,9,9,9,9,8,1,1,1,6,4,0,1,1,8,
            9,9,9,9,9,9,3,1,1,3,9,9,9,9,8,3,
            1,0,6,9,9,9,9,9,9,9,4,1,0,4,9,9,
            9,9,9,9,9,6,1,1,0,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,5,2,2,2,2,2,2,2,
            2,2,2,2,2,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,5,2,2,2,2,2,2,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,5,2,2,2,2,2,2,2,2,2,2,2,5,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,0,1,1,6,9,9,9,9,9,9,9,4,1,
            1,3,9,9,9,9,9,9,9,6,0,1,1,8,9,9,
            9,1,1,0,6,9,9,9,9,9,9,9,6,0,1,1,
            9,9,9,9,9,9,4,1,1,3,9,9,1,1,1,3,
            9,9,9,9,9,9,3,1,1,3,9,9,9,9,8,3,
            1,0,6,9,9,9,9,9,9,9,4,1,0,4,9,9,
            9,9,9,9,9,6,1,1,0,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,2,2,2,2,2,2,2,2,
            2,2,2,2,2,9,9,9,9,9,9,9,7,5,5,5,
            5,9,9,9,9,9,9,9,9,2,2,2,2,2,7,9,
            9,9,9,9,9,9,7,5,5,5,5,9,9,9,9,9,
            9,9,5,2,2,2,2,2,2,2,2,2,2,2,2,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,0,1,1,6,9,9,9,9,9,9,9,4,1,
            1,3,9,9,9,9,9,9,9,6,0,1,1,8,9,9,
            9,1,1,1,6,9,9,9,9,9,9,6,0,1,1,1,
            9,9,9,9,9,6,0,1,1,8,9,9,8,1,1,0,
            6,9,9,9,9,9,3,1,1,3,9,9,9,9,8,3,
            1,0,6,9,9,9,9,9,9,9,4,1,0,4,9,9,
            9,9,9,9,9,6,1,1,0,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,2,2,2,2,2,2,2,2,
            2,2,2,2,2,9,9,9,9,9,9,9,5,2,2,2,
            2,5,9,9,9,9,9,9,9,7,2,2,2,2,9,9,
            9,9,9,9,9,8,2,2,2,2,2,9,9,9,9,9,
            9,9,5,2,2,2,2,2,2,2,2,2,2,2,2,7,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,0,1,1,6,9,9,9,9,9,9,9,4,1,
            1,3,9,9,9,9,9,9,9,6,0,1,1,8,9,9,
            9,4,1,1,1,8,9,9,9,8,4,1,1,1,1,1,
            9,9,9,9,8,0,1,1,6,9,9,9,9,4,1,1,
            1,8,9,9,9,9,3,1,1,3,9,9,9,9,8,3,
            1,0,6,9,9,9,9,9,9,9,4,1,0,4,9,9,
            9,9,9,9,9,6,1,1,0,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,7,2,2,2,2,2,2,2,2,
            2,2,2,2,2,9,9,9,9,9,9,9,5,2,2,2,
            2,2,9,9,9,9,9,9,9,5,2,2,2,7,9,9,
            9,9,9,9,9,5,2,2,2,2,2,9,9,9,9,9,
            9,9,5,2,2,2,2,2,2,2,2,2,2,2,2,5,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,0,1,1,6,9,9,9,9,9,9,9,4,1,
            1,3,9,9,9,9,9,9,9,6,0,1,1,8,9,9,
            9,6,1,1,1,0,3,3,1,0,1,1,4,1,1,1,
            9,9,9,9,3,1,1,3,9,9,9,9,9,9,1,1,
            1,3,9,9,9,9,3,1,1,3,9,9,9,9,8,3,
            1,0,6,9,9,9,9,9,9,9,4,1,0,4,9,9,
            9,9,9,9,9,6,1,1,0,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,5,2,2,2,2,2,2,2,2,
            2,2,2,2,2,9,9,9,9,9,9,9,5,2,2,2,
            2,2,5,9,9,9,9,9,9,2,2,2,5,9,9,9,
            9,9,9,9,7,2,2,2,2,2,2,9,9,9,9,9,
            9,9,5,2,2,2,2,2,2,2,2,2,2,2,2,2,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,0,1,1,6,9,9,9,9,9,9,9,4,0,
            1,3,9,9,9,9,9,9,9,6,0,1,1,8,9,9,
            9,9,4,0,1,1,1,1,1,0,1,6,9,3,1,1,
            9,9,9,6,0,1,0,8,9,9,9,9,9,9,8,1,
            1,0,4,9,9,9,3,1,0,3,9,9,9,9,8,1,
            1,0,6,9,9,9,9,9,9,9,4,1,0,4,9,9,
            9,9,9,9,9,6,1,1,0,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,5,2,2,2,2,2,2,2,2,
            2,2,2,2,2,9,9,9,9,9,9,9,5,2,2,2,
            2,2,2,7,9,9,9,9,2,2,2,2,8,9,9,9,
            9,9,9,9,2,2,2,2,2,2,2,9,9,9,9,9,
            9,9,5,2,2,2,2,2,2,2,2,2,2,2,2,2,
            8,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,3,3,3,6,9,9,9,9,9,9,9,4,3,
            3,4,9,9,9,9,9,9,9,6,3,3,4,8,9,9,
            9,9,9,6,3,1,1,1,1,6,9,9,9,4,3,4,
            9,9,8,3,3,3,6,9,9,9,9,9,9,9,9,6,
            3,3,3,8,9,9,4,3,3,4,9,9,9,9,9,4,
            3,3,8,9,9,9,9,9,9,9,4,3,3,6,9,9,
            9,9,9,9,9,6,3,3,3,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,9,9,9,9,9,9,9,5,2,2,2,
            2,2,2,5,9,9,9,7,2,2,2,5,9,9,9,9,
            9,9,9,7,2,2,2,2,2,2,2,9,9,9,9,9,
            9,9,5,2,2,2,2,2,2,2,2,2,2,2,2,2,
            7,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,8,8,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,9,9,9,9,9,9,9,5,2,2,2,
            2,2,2,2,7,9,9,2,2,2,2,9,9,9,9,9,
            9,9,9,2,2,2,2,2,2,2,2,9,9,9,9,9,
            9,9,5,2,2,2,2,2,2,2,2,2,2,2,2,2,
            7,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,9,9,9,9,9,9,9,5,2,2,2,
            2,2,2,2,2,9,7,2,2,2,7,9,9,9,9,9,
            9,9,5,2,2,2,2,2,2,2,2,9,9,9,9,9,
            9,9,5,2,2,2,2,2,2,2,2,2,2,2,2,2,
            7,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,9,9,9,9,9,9,9,5,2,2,2,
            2,2,2,2,2,7,2,2,2,2,9,9,9,9,9,9,
            9,9,2,2,2,2,2,2,2,2,2,9,9,9,9,9,
            9,9,5,2,2,2,2,2,2,2,2,2,2,2,2,2,
            5,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,8,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,9,9,9,9,9,9,9,5,2,2,2,
            2,2,2,2,2,2,2,2,2,7,9,9,9,9,9,9,
            9,5,2,2,2,2,2,2,2,2,2,9,9,9,9,9,
            9,9,5,2,2,2,2,2,2,2,2,2,2,2,2,2,
            5,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,8,6,8,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,6,0,0,0,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,7,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,9,9,9,9,9,9,9,5,2,2,2,
            2,2,2,2,2,2,2,2,2,9,9,9,9,9,9,9,
            7,2,2,2,2,2,2,2,2,2,2,9,9,9,9,9,
            9,9,5,2,2,2,2,2,2,2,2,2,2,2,2,2,
            5,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,8,1,1,1,6,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,6,1,1,0,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,7,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,9,9,9,9,9,9,9,5,2,2,2,
            2,2,2,2,2,2,2,2,9,9,9,9,9,9,9,9,
            5,2,2,2,2,2,2,2,2,2,2,9,9,9,9,9,
            9,9,5,2,2,2,2,2,2,2,2,2,2,2,2,2,
            5,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,6,1,1,1,3,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,8,8,8,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,8,8,8,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,6,1,1,0,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,8,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,9,9,9,9,9,9,9,5,2,2,2,
            2,2,2,2,2,2,2,5,9,9,9,9,9,9,9,9,
            2,2,2,2,2,2,2,2,2,2,2,9,9,9,9,9,
            9,9,5,2,2,2,2,2,2,2,2,2,2,2,2,2,
            5,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,8,0,1,1,4,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,0,1,1,8,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,8,1,1,1,8,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,6,1,1,0,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,9,9,9,9,9,9,9,5,2,2,2,
            2,2,2,2,2,2,2,8,9,9,9,9,9,9,9,9,
            5,2,2,2,2,2,2,2,2,2,2,9,9,9,9,9,
            9,9,5,2,2,2,2,2,2,2,2,2,2,2,2,2,
            5,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,6,1,3,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,0,1,1,8,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,8,0,1,1,8,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,6,1,1,0,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,9,9,9,9,9,9,9,5,2,2,2,
            2,2,2,2,2,2,5,9,9,9,9,9,9,9,9,9,
            7,2,2,2,2,2,2,2,2,2,2,9,9,9,9,9,
            9,9,5,2,2,2,2,2,2,2,2,2,2,2,2,2,
            7,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,0,1,1,8,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,8,0,1,1,8,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,6,1,1,0,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,9,9,9,9,9,9,9,5,2,2,2,
            2,2,2,2,2,2,9,9,9,9,9,9,9,9,9,9,
            9,5,2,2,2,2,2,2,2,2,2,9,9,9,9,9,
            9,9,5,2,2,2,2,2,2,2,2,2,2,2,2,2,
            7,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,0,1,1,8,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,8,0,1,1,8,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,6,1,1,0,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,9,9,9,9,9,9,9,5,2,2,2,
            2,2,2,2,2,7,9,9,9,9,9,9,9,9,9,9,
            9,9,2,2,2,2,2,2,2,2,2,9,9,9,9,9,
            9,9,5,2,2,2,2,2,2,2,2,2,2,2,2,2,
            7,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,0,1,1,8,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,8,0,1,1,8,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,6,1,1,0,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,5,2,2,2,2,2,2,2,2,
            2,2,2,2,2,9,9,9,9,9,9,9,5,2,2,2,
            2,2,2,2,2,9,9,9,9,9,9,9,9,9,9,9,
            9,9,5,2,2,2,2,2,2,2,2,9,9,9,9,9,
            9,9,5,2,2,2,2,2,2,2,2,2,2,2,2,2,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,6,6,6,8,9,9,9,9,8,6,6,8,9,
            9,9,8,4,1,1,3,6,9,9,9,9,9,8,6,6,
            6,0,1,1,4,6,6,6,8,9,9,9,9,9,9,9,
            6,3,1,1,3,6,9,9,9,9,9,9,9,9,9,9,
            9,9,6,4,1,1,3,6,9,9,9,9,9,6,6,9,
            9,8,6,6,8,9,9,9,9,6,3,6,9,9,9,9,
            8,6,4,1,1,1,1,4,8,9,9,9,9,9,8,6,
            6,4,0,1,1,4,6,6,6,6,9,9,9,9,9,9,
            9,6,3,1,1,3,6,9,9,9,9,9,9,9,9,9,
            9,9,9,9,8,4,3,3,4,6,8,8,1,1,0,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,7,2,2,2,2,2,2,2,2,
            2,2,2,2,2,9,9,9,9,9,9,9,5,2,2,2,
            2,2,2,2,7,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,2,2,2,2,2,2,2,2,9,9,9,9,9,
            9,9,5,2,2,2,2,2,2,2,2,2,2,2,2,2,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,0,0,0,6,9,9,9,9,6,0,0,4,9,
            8,4,0,0,1,1,1,0,1,8,9,9,9,6,0,0,
            0,1,1,1,0,0,0,0,4,9,9,9,9,9,6,1,
            0,1,1,1,1,0,1,6,9,9,9,9,9,9,9,9,
            6,3,0,1,0,0,1,0,0,6,6,4,0,0,3,9,
            9,8,0,0,4,9,9,6,1,0,0,3,9,9,6,3,
            0,0,1,1,1,1,1,0,0,4,9,9,9,9,6,0,
            0,0,1,1,1,0,0,0,0,4,9,9,9,9,9,6,
            1,0,0,1,1,1,0,1,6,9,9,9,9,9,9,9,
            9,9,6,3,0,0,1,1,0,0,0,1,1,1,0,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,7,2,2,2,2,2,2,2,2,
            2,2,2,2,2,9,9,9,9,9,9,9,5,2,2,2,
            2,2,2,5,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,7,2,2,2,2,2,2,2,9,9,9,9,9,
            9,9,5,2,2,2,2,2,2,2,2,2,2,2,2,5,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,0,1,1,6,9,9,9,9,6,1,1,3,6,
            1,1,1,0,0,0,1,1,1,1,9,9,9,6,0,0,
            1,1,1,1,1,0,0,0,4,9,9,9,9,4,1,1,
            1,0,1,1,0,1,1,1,4,9,9,9,9,9,9,6,
            1,1,1,1,4,4,1,0,1,1,1,1,1,1,3,9,
            9,8,1,1,3,9,4,1,1,1,1,1,9,9,1,1,
            1,1,0,0,0,0,0,1,1,1,4,9,9,9,6,1,
            0,1,1,1,1,1,0,0,0,4,9,9,9,9,4,1,
            1,1,0,1,1,0,1,1,1,4,9,9,9,9,9,9,
            9,4,1,1,1,1,0,0,0,0,1,1,1,1,0,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,2,2,2,2,2,2,2,2,
            2,2,2,2,2,9,9,9,9,9,9,9,5,2,2,2,
            2,2,2,8,9,9,9,9,9,9,9,5,8,9,9,9,
            9,9,9,9,2,2,2,2,2,2,2,9,9,9,9,9,
            9,9,5,2,2,2,2,2,2,2,2,2,2,2,2,7,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,0,1,1,6,9,9,9,9,6,1,1,1,0,
            1,1,4,6,8,6,3,1,1,0,6,9,9,8,6,6,
            6,0,1,1,6,6,6,6,8,9,9,9,8,1,1,1,
            4,8,9,9,9,4,1,1,0,8,9,9,9,9,9,1,
            1,0,4,9,9,9,9,6,1,1,1,1,4,6,6,9,
            9,8,1,1,0,6,1,1,0,3,4,6,9,9,4,1,
            3,4,8,8,9,8,6,3,1,1,0,8,9,9,8,6,
            6,4,0,1,1,6,6,6,6,8,9,9,9,8,0,1,
            1,4,9,9,9,9,4,1,1,0,8,9,9,9,9,9,
            6,1,1,1,3,6,8,8,8,6,4,1,1,1,0,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,2,2,2,2,2,2,2,2,
            2,2,2,2,2,9,9,9,9,9,9,9,5,2,2,2,
            2,2,5,9,9,9,9,9,9,9,7,2,5,9,9,9,
            9,9,9,9,7,2,2,2,2,2,2,9,9,9,9,9,
            9,9,5,2,2,2,2,2,2,2,2,2,2,2,2,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,0,1,1,6,9,9,9,9,6,1,1,1,0,
            3,8,9,9,9,9,8,1,1,1,4,9,9,9,9,9,
            9,0,1,1,8,9,9,9,9,9,9,9,1,1,1,4,
            9,9,9,9,9,9,4,1,1,1,9,9,9,9,6,0,
            1,3,9,9,9,9,9,9,6,1,1,1,9,9,9,9,
            9,8,1,1,1,1,1,1,6,9,9,9,9,9,8,8,
            9,9,9,9,9,9,9,8,1,1,0,6,9,9,9,9,
            9,8,0,1,1,8,9,9,9,9,9,9,9,1,1,1,
            4,9,9,9,9,9,9,4,1,1,1,9,9,9,9,9,
            1,1,1,3,9,9,9,9,9,9,9,6,1,1,0,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,5,2,2,2,2,2,2,2,
            2,2,2,2,2,9,9,9,9,9,9,9,5,2,2,2,
            2,2,9,9,9,9,9,9,9,9,2,2,2,9,9,9,
            9,9,9,9,9,5,2,2,2,2,2,9,9,9,9,9,
            9,9,5,2,2,2,2,2,2,2,2,2,2,2,5,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,0,1,1,6,9,9,9,9,6,1,1,1,4,
            9,9,9,9,9,9,9,1,1,1,4,9,9,9,9,9,
            9,0,1,1,8,9,9,9,9,9,9,6,0,1,1,8,
            9,9,9,9,9,9,8,0,1,1,6,9,9,9,3,1,
            1,6,9,9,9,9,9,9,8,0,1,1,8,9,9,9,
            9,8,1,1,1,1,1,8,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,3,1,1,4,9,9,9,9,
            9,8,0,1,1,8,9,9,9,9,9,9,6,1,1,1,
            8,9,9,9,9,9,9,8,1,1,0,8,9,9,9,6,
            0,1,1,8,9,9,9,9,9,9,9,6,1,1,0,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,2,2,2,2,2,2,2,
            2,2,2,2,2,9,9,9,9,9,9,9,5,2,2,2,
            2,5,9,9,9,9,9,9,9,7,2,2,2,2,9,9,
            9,9,9,9,9,8,2,2,2,2,2,9,9,9,9,9,
            9,9,5,2,2,2,2,2,2,2,2,2,2,2,7,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,0,1,1,6,9,9,9,9,6,1,1,1,8,
            9,9,9,9,9,9,9,3,1,1,4,9,9,9,9,9,
            9,0,1,1,8,9,9,9,9,9,9,4,1,1,3,9,
            9,9,9,9,9,9,9,3,1,1,4,9,9,9,3,1,
            1,6,9,9,9,9,9,9,9,0,1,1,6,9,9,9,
            9,8,1,1,1,1,8,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,3,1,1,4,9,9,9,9,
            9,8,0,1,1,8,9,9,9,9,9,9,4,1,1,4,
            9,9,9,9,9,9,9,9,1,1,1,4,9,9,9,1,
            1,1,4,9,9,9,9,9,9,9,9,6,1,1,0,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,5,2,2,2,2,2,2,
            2,2,2,2,2,9,9,9,9,9,9,9,5,2,2,2,
            2,9,9,9,9,9,9,9,9,2,2,2,2,2,7,9,
            9,9,9,9,9,9,5,2,2,2,2,9,9,9,9,9,
            9,9,5,2,2,2,2,2,2,2,2,2,2,2,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,0,1,1,6,9,9,9,9,6,1,1,0,8,
            9,9,9,9,9,9,9,3,1,1,4,9,9,9,9,9,
            9,0,1,1,8,9,9,9,9,9,9,3,1,1,3,6,
            6,6,6,6,6,6,6,3,1,1,4,9,9,9,3,1,
            1,6,9,9,9,9,9,9,8,0,1,1,8,9,9,9,
            9,8,1,1,1,6,9,9,9,9,9,9,9,9,9,9,
            9,9,9,8,6,3,1,0,1,1,1,4,9,9,9,9,
            9,8,0,1,1,8,9,9,9,9,9,9,3,1,1,4,
            6,6,6,6,6,6,6,6,3,1,1,4,9,9,9,0,
            1,1,6,9,9,9,9,9,9,9,9,6,1,1,0,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,7,2,2,2,2,2,2,
            2,2,2,2,2,9,9,9,9,9,9,9,5,2,2,2,
            5,9,9,9,9,9,9,9,5,2,2,2,2,2,2,9,
            9,9,9,9,9,9,9,2,2,2,2,9,9,9,9,9,
            9,9,5,2,2,2,2,2,2,2,2,2,2,5,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,0,1,1,6,9,9,9,9,6,1,1,0,8,
            9,9,9,9,9,9,9,3,1,1,4,9,9,9,9,9,
            9,0,1,1,8,9,9,9,9,9,9,3,1,1,1,0,
            0,0,0,0,0,0,0,1,1,1,4,9,9,9,6,0,
            1,3,9,9,9,9,9,9,4,1,1,1,9,9,9,9,
            9,8,1,1,1,8,9,9,9,9,9,9,9,9,9,9,
            6,4,1,0,0,1,1,0,1,1,1,4,9,9,9,9,
            9,8,0,1,1,8,9,9,9,9,9,9,3,1,1,1,
            0,0,0,0,0,0,0,0,1,1,1,3,9,9,8,1,
            1,1,8,9,9,9,9,9,9,9,9,6,1,1,0,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,2,2,2,2,2,2,
            2,2,2,2,2,9,9,9,9,9,9,9,5,2,2,2,
            9,9,9,9,9,9,9,9,2,2,2,2,2,2,2,7,
            9,9,9,9,9,9,9,5,2,2,2,9,9,9,9,9,
            9,9,5,2,2,2,2,2,2,2,2,2,2,8,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,0,1,1,6,9,9,9,9,6,1,1,0,8,
            9,9,9,9,9,9,9,3,1,1,4,9,9,9,9,9,
            9,0,1,1,8,9,9,9,9,9,8,1,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,4,9,9,9,9,1,
            1,0,4,9,9,9,9,6,1,1,0,6,9,9,9,9,
            9,8,1,1,1,8,9,9,9,9,9,9,9,9,8,1,
            1,1,1,1,1,1,3,4,1,1,1,4,9,9,9,9,
            9,8,0,1,1,8,9,9,9,9,9,9,1,1,1,1,
            1,1,1,1,1,1,1,1,1,1,1,3,9,9,6,1,
            1,1,8,9,9,9,9,9,9,9,9,6,1,1,0,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,7,2,2,2,2,2,
            2,2,2,2,2,9,9,9,9,9,9,9,5,2,2,7,
            9,9,9,9,9,9,9,5,2,2,2,2,2,2,2,2,
            9,9,9,9,9,9,9,9,2,2,2,9,9,9,9,9,
            9,9,5,2,2,2,2,2,2,2,2,2,5,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,0,1,1,6,9,9,9,9,6,1,1,0,8,
            9,9,9,9,9,9,9,3,1,1,4,9,9,9,9,9,
            9,0,1,1,8,9,9,9,9,9,8,3,1,0,6,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,6,
            1,1,0,1,4,4,3,0,1,0,4,9,9,9,9,9,
            9,8,1,1,1,8,9,9,9,9,9,9,9,8,1,1,
            1,1,4,6,8,9,9,9,3,1,1,4,9,9,9,9,
            9,8,0,1,1,8,9,9,9,9,9,9,3,1,0,6,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,6,1,
            1,1,8,9,9,9,9,9,9,9,9,6,1,1,0,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,2,2,2,2,2,
            2,2,2,2,2,9,9,9,9,9,9,9,5,2,5,9,
            9,9,9,9,9,9,9,2,2,2,2,2,2,2,2,2,
            5,9,9,9,9,9,9,9,7,2,2,9,9,9,9,9,
            9,9,5,2,2,2,2,2,2,2,2,2,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,0,1,1,6,9,9,9,9,6,1,1,0,8,
            9,9,9,9,9,9,9,3,1,1,4,9,9,9,9,9,
            9,0,1,1,8,9,9,9,9,9,9,3,1,0,6,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            8,3,1,1,1,1,1,1,0,6,9,9,9,9,9,9,
            9,8,1,1,1,8,9,9,9,9,9,9,9,3,1,1,
            1,8,9,9,9,9,9,9,3,1,1,4,9,9,9,9,
            9,8,0,1,1,8,9,9,9,9,9,9,3,1,0,6,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,8,1,
            1,1,6,9,9,9,9,9,9,9,9,6,1,1,0,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,8,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,5,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,0,1,1,6,9,9,9,9,6,1,1,0,8,
            9,9,9,9,9,9,9,3,1,1,4,9,9,9,9,9,
            9,0,1,1,8,9,9,9,9,9,9,3,1,1,3,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            8,3,1,3,4,4,4,6,8,9,9,9,9,9,9,9,
            9,8,1,1,1,8,9,9,9,9,9,9,8,1,1,0,
            6,9,9,9,9,9,9,9,3,1,1,4,9,9,9,9,
            9,8,0,1,1,8,9,9,9,9,9,9,3,1,1,4,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,8,0,
            1,1,6,9,9,9,9,9,9,9,9,6,1,1,0,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,5,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,0,1,1,6,9,9,9,9,6,1,1,0,8,
            9,9,9,9,9,9,9,3,1,1,4,9,9,9,9,9,
            9,0,1,1,8,9,9,9,9,9,9,4,0,1,1,8,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,8,
            1,1,1,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,8,1,1,1,8,9,9,9,9,9,9,6,1,1,0,
            9,9,9,9,9,9,9,9,3,1,1,4,9,9,9,9,
            9,8,0,1,1,8,9,9,9,9,9,9,4,1,1,1,
            8,9,9,9,9,9,9,9,9,9,9,9,9,9,9,1,
            1,1,4,9,9,9,9,9,9,9,9,3,1,1,0,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,7,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,0,1,1,6,9,9,9,9,6,1,1,0,8,
            9,9,9,9,9,9,9,3,1,1,4,9,9,9,9,9,
            9,0,1,1,8,9,9,9,9,9,9,8,0,1,1,4,
            9,9,9,9,9,9,9,9,8,4,6,9,9,9,9,6,
            1,1,1,4,8,8,9,9,9,9,9,9,9,9,9,9,
            9,8,1,1,1,8,9,9,9,9,9,9,6,1,1,0,
            9,9,9,9,9,9,9,6,1,1,1,4,9,9,9,9,
            9,8,0,1,1,8,9,9,9,9,9,9,8,0,1,1,
            4,9,9,9,9,9,9,9,9,8,3,6,9,9,9,4,
            0,1,1,8,9,9,9,9,9,9,4,0,1,1,0,9,
            9,9,9,4,4,4,6,4,6,9,9,3,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,7,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,5,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,0,1,1,6,9,9,9,9,6,1,1,0,8,
            9,9,9,9,9,9,9,3,1,1,4,9,9,9,9,9,
            9,0,1,1,4,8,9,9,9,9,9,9,4,0,1,1,
            4,8,9,9,9,9,8,4,1,1,4,9,9,9,9,9,
            1,1,1,1,1,1,3,3,4,6,9,9,9,9,9,9,
            9,8,1,1,1,8,9,9,9,9,9,9,8,1,1,1,
            4,9,9,9,9,6,3,0,1,1,1,4,9,9,9,9,
            9,9,0,1,1,4,8,9,9,9,9,9,9,4,0,1,
            1,4,8,9,9,9,9,8,4,1,1,4,9,9,9,9,
            1,1,1,1,6,9,9,9,6,3,1,1,1,1,0,9,
            9,9,9,9,6,8,9,4,4,9,6,1,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,5,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,0,1,1,6,9,9,9,9,6,1,1,0,8,
            9,9,9,9,9,9,9,3,1,1,4,9,9,9,9,9,
            9,4,1,1,1,0,0,0,4,9,9,9,9,3,1,1,
            1,0,1,3,3,0,0,1,1,1,4,9,9,9,9,9,
            6,0,1,1,1,1,1,1,1,0,0,4,8,9,9,9,
            9,8,1,1,1,8,9,9,9,9,9,9,9,3,1,1,
            1,1,4,4,1,0,1,1,3,1,1,4,9,9,9,9,
            9,9,3,1,1,1,0,0,0,4,9,9,9,9,3,1,
            1,1,0,1,3,3,0,0,1,1,1,4,9,9,9,9,
            6,1,1,1,0,0,1,0,0,1,1,4,1,1,0,9,
            9,9,9,9,6,8,9,4,8,6,3,4,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,5,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,0,1,1,6,9,9,9,9,6,1,1,0,8,
            9,9,9,9,9,9,9,3,1,1,4,9,9,9,9,9,
            9,8,1,1,1,1,1,1,3,9,9,9,9,9,4,0,
            1,1,1,1,1,1,1,0,1,6,9,9,9,9,8,3,
            0,0,4,6,6,4,3,0,0,0,1,1,1,6,9,9,
            9,8,1,1,0,8,9,9,9,9,9,9,9,8,1,0,
            1,1,1,1,1,0,3,8,6,0,0,4,9,9,9,9,
            9,9,8,1,0,1,1,1,1,3,9,9,9,9,8,4,
            0,1,1,1,1,1,1,1,0,1,6,9,9,9,9,9,
            9,6,0,1,1,1,1,1,1,1,6,9,3,1,0,9,
            9,9,9,9,6,8,9,3,9,3,6,6,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,7,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,3,3,3,6,9,9,9,9,8,3,3,3,8,
            9,9,9,9,9,9,9,3,3,3,4,9,9,9,9,9,
            9,9,8,3,1,1,1,1,3,9,9,9,9,9,9,8,
            3,1,1,1,1,1,3,6,9,9,9,9,9,8,0,1,
            1,6,9,9,9,9,9,9,8,4,1,1,1,0,9,9,
            9,8,3,3,3,8,9,9,9,9,9,9,9,9,9,4,
            1,1,1,1,1,6,9,9,8,1,3,4,9,9,9,9,
            9,9,9,8,3,1,1,1,1,3,9,9,9,9,9,9,
            8,3,1,1,1,1,1,3,6,9,9,9,9,9,9,9,
            9,9,8,3,1,1,1,1,4,8,9,9,4,3,1,9,
            9,9,9,9,6,8,9,4,9,4,9,6,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,7,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,8,8,9,9,9,9,9,9,9,9,9,
            9,9,8,8,8,9,9,9,9,9,9,9,9,3,1,0,
            4,9,9,9,9,9,9,9,9,9,8,1,1,0,6,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,8,8,8,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,8,8,9,9,9,9,9,9,9,9,
            9,9,9,8,8,8,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,8,8,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,7,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,8,3,1,0,
            8,9,9,9,9,9,9,9,9,9,9,1,1,0,6,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,5,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,7,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,8,3,1,0,
            6,9,9,9,9,9,9,9,9,9,8,1,1,0,8,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,5,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,3,1,1,
            1,6,9,9,9,9,9,9,9,6,1,1,0,4,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,7,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,5,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,8,3,0,
            1,0,0,3,4,4,4,3,0,0,1,0,4,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,5,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            7,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,6,
            0,0,0,1,1,1,1,1,0,0,1,6,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,7,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,5,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,8,6,4,3,3,3,4,6,8,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,5,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,5,8,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,5,2,2,2,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,2,2,2,5,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,7,5,
            2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,2,2,2,5,7,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,8,5,2,2,2,2,2,2,2,2,2,2,2,2,2,
            2,2,2,2,5,7,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,7,7,5,5,5,5,5,5,5,5,5,
            5,7,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
            9,9,9,9,9,9,9,9
};
#endif /** _MAXIM_BITMAP_IMAGE_H_ */
